> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy app from uploaded ZIP



## OpenAPI

````yaml /openapi.json post /api/apps/deploy
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/apps/deploy:
    post:
      tags:
        - Applications
      summary: Deploy app from uploaded ZIP
      operationId: postApiAppsDeploy
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - file
                - name
                - runtime
                - memoryMB
              properties:
                file:
                  default: File
                  type: string
                  format: binary
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                startupCommand:
                  minLength: 1
                  type: string
                envVars:
                  type: object
                  additionalProperties: true
                exposePort:
                  anyOf:
                    - type: number
                    - type: string
                subdomain:
                  type: string
                autoRestart:
                  type: boolean
                machineId:
                  nullable: true
                  type: string
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - file
                - name
                - runtime
                - memoryMB
              properties:
                file:
                  default: File
                  type: string
                  format: binary
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                startupCommand:
                  minLength: 1
                  type: string
                envVars:
                  type: object
                  additionalProperties: true
                exposePort:
                  anyOf:
                    - type: number
                    - type: string
                subdomain:
                  type: string
                autoRestart:
                  type: boolean
                machineId:
                  nullable: true
                  type: string
          multipart/form-data:
            schema:
              type: object
              required:
                - file
                - name
                - runtime
                - memoryMB
              properties:
                file:
                  default: File
                  type: string
                  format: binary
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                startupCommand:
                  minLength: 1
                  type: string
                envVars:
                  type: object
                  additionalProperties: true
                exposePort:
                  anyOf:
                    - type: number
                    - type: string
                subdomain:
                  type: string
                autoRestart:
                  type: boolean
                machineId:
                  nullable: true
                  type: string
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````